using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BirdEnemy : Enemy2D
{    
    private void Awake()
    {
        enemyID = 1;
        GetRigidbody();
        FindSpawnBoundaries();
        SetSpawnPoint();
        RandomizeColor();       
        Move(-this.transform.position);
        RotateEnemy();
    }
        
    // Rotates the enemy towards the center
    protected virtual void RotateEnemy()
    {
        float angle = Mathf.Atan2(-transform.position.y, -transform.position.x) * Mathf.Rad2Deg;
        angle += 90f;
        transform.rotation = Quaternion.AngleAxis(angle, Vector3.forward);
    }
}
