using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Bullet : Projectile
{
    private Vector2 bulletDirection = Vector2.zero;
    
    private void Awake()
    {
        body = this.GetComponent<Rigidbody2D>();
    }
    
    // -----------------
    // COLLISION FUNCTION
    // -----------------
    
    public void OnTriggerEnter2D (Collider2D other)
    {
        if (other.gameObject.tag == "Wall")
        {
            Destroy(this.gameObject);
        }
        if (other.gameObject.tag == "Player")
        {
            StartCoroutine(other.gameObject.GetComponent<Player2D>().KillPlayer());
        }
        else if (other.gameObject.tag == "Ring")
        {
            CheckRingColor(other.gameObject);
        }
    }
    
    // -----------------
    // MISC FUNCTIONS
    // -----------------
    
    public override void SetProjectileColor (bool whichColor)
    {
        isColor1 = whichColor;
        if (isColor1) this.GetComponent<SpriteRenderer>().color = color1;
        else this.GetComponent<SpriteRenderer>().color = color2;
    }
    
    public void SetDirection()
    {
        Move(-this.transform.position);
    }
}
