using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Projectile : MonoBehaviour
{
    [SerializeField] protected float movementSpeed = 0f; // The rate at which the projectile moves
    [SerializeField] protected Color color1 = Color.red;
    [SerializeField] protected Color color2 = Color.blue;
    protected bool isColor1 = false;
    protected Rigidbody2D body = null;
    
    // Moves projectile in a specific direction
    public virtual void Move (Vector2 direction)
    {
        body.AddForce(direction.normalized * Time.deltaTime * movementSpeed);
    }
    
    // -----------------
    // COLOR FUNCTIONS
    // -----------------
    
    // Checks the enemy's color
    public void CheckEnemyColor(GameObject enemy)
    {
        bool enemyIsColor1 = enemy.GetComponent<Enemy2D>().CheckCharacterColor();
        
        // If the colors match
        if (isColor1 == enemyIsColor1)
        {
            int ID = enemy.GetComponent<Enemy2D>().enemyID;
            if (ID == 3 && enemy.GetComponent<ShrinkingEnemy>().EnemyCanBeDamaged())
            {
                enemy.GetComponent<ShrinkingEnemy>().ShrinkEnemy();
            }
            else
            {
                Destroy(enemy);
                GameObject manager = GameObject.FindGameObjectWithTag("Manager");
                manager.GetComponent<EnemyManager2D>().RegisterEnemyDeath(ID);
                Destroy(this.gameObject);
            }
        }
    }
    
    // Check the ring / player projectile's color
    public void CheckRingColor(GameObject ring)
    {
        bool ringIsColor1 = ring.GetComponent<Ring>().CheckProjectileColor();
        
        // Check for color match
        if (ringIsColor1 == isColor1)
        {
            Destroy(ring);
            Destroy(this.gameObject);
        }
    }
    
    // Changes the projectile's color
    public virtual void SetProjectileColor(bool whichColor) {return;}
    
    // Checks the projectile's color
    public bool CheckProjectileColor()
    {
        return isColor1 == true;
    }
}
