using System.Collections;
using System.Collections.Generic;
using UnityEngine;

// Script that tracks info from scene to scene (i.e the score)
// TO DO: Separate score from Score Counter and add non-UI-related functions to this script
public class SceneTracker : MonoBehaviour
{
    public static SceneTracker instance;
    private int finalScore = 0;
    
    private void Awake()
    {
        if (instance == null)
        {
            instance = this;
        }
        else
        {
            Destroy(this.gameObject);
            return;
        }
        DontDestroyOnLoad(gameObject);
    }

    public int GetScore()
    {
        return finalScore;
    }
    
    public IEnumerator OnSwitchToGameOverScreen()
    {
        finalScore = GameObject.FindGameObjectWithTag("ScoreCounter").GetComponent<ScoreCounter>().GetFinalScore();
        yield return null;
    }
}
