using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class TransitionScreen : MonoBehaviour
{
    [SerializeField] private float transitionDurationTime = 2f; // How long the transition lasts
    [SerializeField] private SpriteRenderer sprite = null; // The transition screen's sprite renderer
    
    public IEnumerator FadeTransition(Color c1, Color c2)
    {
        float time = 0f;
        while (time < transitionDurationTime)
        {
            sprite.color = Color.Lerp(c1, c2, time / transitionDurationTime);
            time += Time.deltaTime;
            yield return null;
        }
        sprite.color = c2;
    }
}
