using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using TMPro;

public class ScoreCounter : MonoBehaviour
{
    public int score = 0; // How many points the player score
    [SerializeField] private float scoreIncreaseSpeed; // How fast the score increases
    [SerializeField] private TextMeshProUGUI scoreCounter = null; // UI element that keeps track of the player's score
    
    private void Start()
    {
        InvokeRepeating("UpdateScore", scoreIncreaseSpeed, scoreIncreaseSpeed); // Adds 1 point to the score every second and repeats this every 1 second
    }
    
    // Updates the score counter to reflect the player's total score
    private void UpdateScore()
    {
        score += 1;
        scoreCounter.text = "SCORE: " + score;
    }
    
    // Hastens the score counter
    public void IncreaseScoreSpeed()
    {
        CancelInvoke();
        if (scoreIncreaseSpeed > 0f) scoreIncreaseSpeed *= .9f;
        InvokeRepeating("UpdateScore", scoreIncreaseSpeed, scoreIncreaseSpeed);
    }
    
    // Stops the score counter and returns the final score
    public int GetFinalScore()
    {
        CancelInvoke();
        return score;
    }
}
